# Class pyglet.resource.ZIPLocation

    Location --+
               |
              ZIPLocation

Location within a ZIP file.

## Methods

| __init__(self, zip, dir) Create a location given an open ZIP file and a path within that file.
file object | open(self, filename, mode=`'``rb``'`) Open a file at this locaiton.

## Method Details

### __init__

(Constructor) __init__(self, zip, dir)
Create a location given an open ZIP file and a path within that file.

Parameters:
  zip : `zipfile.ZipFile`
    An open ZIP file from the `zipfile` module.
  dir : str
    A path within that ZIP file. Can be empty to specify files at the top level of the ZIP file.

### open

open(self, filename, mode=`'``rb``'`)
Open a file at this locaiton.

Returns: file object
Overrides:
  Location.open